Subject: Re: submodules' shortcomings, was Re: RFC: display dirty submodule working directory in git gui and gitk

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Jan 2010 09:01:46 -0800

Jens Lehmann <[email-masked]> writes:

> Am 06.01.2010 02:04, schrieb Junio C Hamano:
>> After all we _were_ in agreement.  We both think the user should be told
>> about untracked files in submodule directory when inspecting the status to
>> make a commit in the superproject.
>
> Thanks. So i'll take a closer look at the diff core (but i suspect i'll
> need some time until i can come up with some patches because i don't know
> this part of git very well).

I don't see a direct connection between "the user should be told about
untracked in the submodule before committing" and diffcore.  It is just
the matter of "git status" and "git commit" running another instance of
"git status" via run_command() interface in the submodule directory, no?